Texa DeskDevelopers

Texa Desk Application API · Webhooks

List all webhooks

GET/api/v1/accounts/{account_id}/webhooks

List all webhooks in the account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Responses

200

Success

idnumber

The ID of the webhook

urlstring

The url to which the events will be send

namestring

The name of the webhook

subscriptionsarray of string

The list of subscribed events

secretstring

Secret used to sign webhook requests. Signed webhook deliveries include X-Texa Desk-Timestamp and X-Texa Desk-Signature; the signature is sha256= followed by the HMAC-SHA256 of {timestamp}.{raw_request_body} using this secret. Deliveries also include X-Texa Desk-Delivery when a delivery id is available.

account_idnumber

The id of the account which the webhook object belongs to

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring